Subject: Passing parameters other than LONGs
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 20 Jul 93 09:46:08 BST

Is it possible to write a procedure in Amiga E which
accepts as a parameter something other than a 4-byte value?

I ask because one of the GadTools slider features is to
call a conversion function of your own. It passes the
level of the slider as a WORD (2 bytes). If I try
typecasting any parameter I get a compilation error.

Failing this, can anyone tell me the machine code
instruction to directly POP the value from the stack? I
assume this is possible, but I don't know any 68000.

Finally, some hook functions like these expect you to save
and restore all the 68000 registers. Can anybody tell me
the instructions to do this? I have seen in programs
things like: "MOVE.L d0-d7,sp" or something to that effect.

Any help would be greatly appreciated

Cheers

Dave